Subject: bug#71280: closed (Re: [bug#71280] [PATCH 0/4] OpenEXR 3 migration.)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 30 Apr 2025 18:10:02 +0000

Your bug report

#71280: [PATCH 0/4] OpenEXR 3 migration.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
71280: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=71280
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#71280] [PATCH 0/4] OpenEXR 3 migration.
From: Andreas Enge <[email-masked]>
To: Ludovic Courtès <[email-masked]>
Cc: Vinicius Monego <[email-masked]>, [email-masked]
Date: Wed, 30 Apr 2025 20:09:15 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello Vinicius,

Am Fri, Aug 30, 2024 at 05:39:06PM +0200 schrieb Ludovic Courtès:
> >   gnu: kimageformats: Build with current OpenEXR.
> >   gnu: hugin: Update to 2023.0.0.
> >   gnu: vigra: Update to 1.11.2.
> >   gnu: vips: Build with current OpenEXR.

the first patch has been made obsolete by an update that switched to
openexr. The second one by
   https://issues.guix.gnu.org/77350
The third one by my recent update of vigra.

And I have just pushed the last patch after testing that its depending
packages still build.

Thanks for all, closing now!

Andreas

Subject: [PATCH 0/4] OpenEXR 3 migration.
From: Vinicius Monego <[email-masked]>
To: [email-masked]
Cc: Vinicius Monego <[email-masked]>
Date: Thu, 30 May 2024 18:22:00 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

I updated some of the last packages that are still using OpenEXR 2.x. They build, but I couldn't test their functionality.

Vinicius Monego (4):
  gnu: kimageformats: Build with current OpenEXR.
  gnu: hugin: Update to 2023.0.0.
  gnu: vigra: Update to 1.11.2.
  gnu: vips: Build with current OpenEXR.

 gnu/packages/image-processing.scm |   3 +-
 gnu/packages/image.scm            | 137 +++++++++++++-----------------
 gnu/packages/kde-frameworks.scm   |  24 ++----
 gnu/packages/photo.scm            |  13 +--
 4 files changed, 74 insertions(+), 103 deletions(-)

base-commit: dc8fb5672464b6386f6b4b94723f9b36edc4e625
-- 
2.39.2